package cs206proj.part3;

/** 
 *  An iterator over a Dictionary
 *
 * Copyright (c) 2000 Tia Newhall, Lisa Meeden
 */
import java.util.*;

class DictionaryIterator<T> implements Iterator<T> {
    private List<T> list;
    private int index;

    DictionaryIterator(List<T> list) { this.list = list; index = 0; }

    // Returns true if the iteration has more elements.
    public boolean hasNext() { return (index < list.size()); }

    // Returns the next element in the interation.
    public T next() {
        if(hasNext()) {
            T temp = list.get(index);
            index++;
            return temp;
        } else {
            return null;
        }
    }

    // not implemented on purpose
    public void remove() { }

}
